﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace IlNeige
{
    public class GameBoard
    {
        // taille du canvas parent
        private static int boardWidth = 800;
        public static int BoardWidth
        {
            get { return boardWidth; }
            set { if (value > 0 && value < 10000) boardWidth = value; }
        }

        private static int boardHeight = 600;
        public static int BoardHeight
        {
            get { return boardHeight; }
            set { if (value > 0 && value < 10000) boardHeight = value; }
        }

        // generateur aléatoire global
        private static Random _random = new Random(DateTime.Now.Millisecond);
        public static Random Random
        { get { return _random; } }
    }
}
